package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 项目业主方-严重违法
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_serious_illegality")
public class ProjectOwnerSeriousIllegality {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 严重违法明细id
     */
    @TableField("c_serious_illegal_data_id")
    private Long cSeriousIllegalDataId;

    /**
     * 列入日期，精确到天，如“2022-01-01
     */
    @TableField("add_date")
    private String addDate;

    /**
     * 作出决定机关(列入)
     */
    @TableField("add_office")
    private String addOffice;

    /**
     * 列入严重违法失信企业名单原因
     */
    @TableField("add_reason")
    private String addReason;

    /**
     * 严重违法 0 否 1 是
     */
    @TableField("serious_illegality")
    private Integer seriousIllegality;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcSeriousIllegalDataId() {
        return cSeriousIllegalDataId;
    }

    public void setcSeriousIllegalDataId(Long cSeriousIllegalDataId) {
        this.cSeriousIllegalDataId = cSeriousIllegalDataId;
    }
    public String getAddDate() {
        return addDate;
    }

    public void setAddDate(String addDate) {
        this.addDate = addDate;
    }
    public String getAddOffice() {
        return addOffice;
    }

    public void setAddOffice(String addOffice) {
        this.addOffice = addOffice;
    }
    public String getAddReason() {
        return addReason;
    }

    public void setAddReason(String addReason) {
        this.addReason = addReason;
    }
    public Integer getSeriousIllegality() {
        return seriousIllegality;
    }

    public void setSeriousIllegality(Integer seriousIllegality) {
        this.seriousIllegality = seriousIllegality;
    }

    @Override
    public String toString() {
        return "ProjectOwnerSeriousIllegality{" +
            "projectAuditId=" + projectAuditId +
            ", cSeriousIllegalDataId=" + cSeriousIllegalDataId +
            ", addDate=" + addDate +
            ", addOffice=" + addOffice +
            ", addReason=" + addReason +
            ", seriousIllegality=" + seriousIllegality +
        "}";
    }
}
